Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/earning-rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"earnings": [
{
"name": "<string>",
"rules": {
"logic": "<string>"
},
"effects": [
{
"type": "POINTS",
"points": {
"value": 123,
"card_definition_id": "<string>",
"points_expiration": {
"type": "NO_EXPIRATION",
"rolling_expiration": {
"period": {
"value": 2,
"unit": "DAY"
},
"rounding": {
"type": "END_OF_MONTH",
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 2,
"unit": "DAY"
}
}
}
},
"points_proportional": {
"calculation_type": "PRE_DISCOUNT_ORDER_AMOUNT",
"card_definition_id": "<string>",
"order": {
"amount": {
"every": 123,
"value": 123
},
"total_amount": {
"every": 123,
"value": 123
},
"metadata": {
"every": 123,
"value": 123,
"property": "<string>"
}
},
"customer": {
"metadata": {
"every": 123,
"value": 123,
"property": "<string>"
}
},
"order_items": {
"amount": {
"every": 123,
"value": 123,
"applicable_to": [
{
"type": "product",
"product": {
"id": "<string>"
},
"sku": {
"id": "<string>"
},
"products_collection": {
"id": "<string>"
}
}
]
},
"subtotal_amount": {
"every": 123,
"value": 123,
"applicable_to": [
{
"type": "product",
"product": {
"id": "<string>"
},
"sku": {
"id": "<string>"
},
"products_collection": {
"id": "<string>"
}
}
]
},
"quantity": {
"every": 123,
"value": 123,
"applicable_to": [
{
"type": "product",
"product": {
"id": "<string>"
},
"sku": {
"id": "<string>"
},
"products_collection": {
"id": "<string>"
}
}
]
}
},
"points_expiration": {
"type": "NO_EXPIRATION",
"rolling_expiration": {
"period": {
"value": 2,
"unit": "DAY"
},
"rounding": {
"type": "END_OF_MONTH",
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 2,
"unit": "DAY"
}
}
}
},
"incentive": {
"id": "<string>"
}
}
]
}
],
"trigger": {
"event": "customer.order.paid",
"custom_event": {
"schema_id": "<string>"
},
"segment": {
"id": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"error": {
"message": "<string>"
},
"validity_hours": {
"daily": [
{
"days_of_week": [
123
],
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"trigger_limits": {
"cooldown": {
"type": "NO_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 123,
"unit": "HOUR"
}
}
},
"frequency": {
"type": "NO_LIMIT",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 123
}
}
]
}
},
"updated_at": "2023-11-07T05:31:56Z"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Deletes an earning rule. Cannot delete an earning rule that is assigned to a program.
Returns a 409 Conflict if the rule is connected to a program.
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/earning-rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"earnings": [
{
"name": "<string>",
"rules": {
"logic": "<string>"
},
"effects": [
{
"type": "POINTS",
"points": {
"value": 123,
"card_definition_id": "<string>",
"points_expiration": {
"type": "NO_EXPIRATION",
"rolling_expiration": {
"period": {
"value": 2,
"unit": "DAY"
},
"rounding": {
"type": "END_OF_MONTH",
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 2,
"unit": "DAY"
}
}
}
},
"points_proportional": {
"calculation_type": "PRE_DISCOUNT_ORDER_AMOUNT",
"card_definition_id": "<string>",
"order": {
"amount": {
"every": 123,
"value": 123
},
"total_amount": {
"every": 123,
"value": 123
},
"metadata": {
"every": 123,
"value": 123,
"property": "<string>"
}
},
"customer": {
"metadata": {
"every": 123,
"value": 123,
"property": "<string>"
}
},
"order_items": {
"amount": {
"every": 123,
"value": 123,
"applicable_to": [
{
"type": "product",
"product": {
"id": "<string>"
},
"sku": {
"id": "<string>"
},
"products_collection": {
"id": "<string>"
}
}
]
},
"subtotal_amount": {
"every": 123,
"value": 123,
"applicable_to": [
{
"type": "product",
"product": {
"id": "<string>"
},
"sku": {
"id": "<string>"
},
"products_collection": {
"id": "<string>"
}
}
]
},
"quantity": {
"every": 123,
"value": 123,
"applicable_to": [
{
"type": "product",
"product": {
"id": "<string>"
},
"sku": {
"id": "<string>"
},
"products_collection": {
"id": "<string>"
}
}
]
}
},
"points_expiration": {
"type": "NO_EXPIRATION",
"rolling_expiration": {
"period": {
"value": 2,
"unit": "DAY"
},
"rounding": {
"type": "END_OF_MONTH",
"value": 6
}
},
"calendar_expiration": {
"expiration_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 2,
"unit": "DAY"
}
}
}
},
"incentive": {
"id": "<string>"
}
}
]
}
],
"trigger": {
"event": "customer.order.paid",
"custom_event": {
"schema_id": "<string>"
},
"segment": {
"id": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"error": {
"message": "<string>"
},
"validity_hours": {
"daily": [
{
"days_of_week": [
123
],
"start_time": "<string>",
"end_time": "<string>"
}
]
},
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"trigger_limits": {
"cooldown": {
"type": "NO_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 123,
"unit": "HOUR"
}
}
},
"frequency": {
"type": "NO_LIMIT",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 123
}
}
]
}
},
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique earning rule identifier.
Earning rule deleted successfully.
Unique earning rule identifier.
DRAFT, ACTIVE, INACTIVE, DELETED Show child attributes
Show child attributes
"earning_rule"Show child attributes
Show child attributes
Show child attributes
Was this page helpful?